/* nexcomWatchdogSA -- Charl P. Botha <cpbotha@ieee.org>
 * stand-alone program for testing nexcom watchdog in hardware
 * $Id: nexcomWatchdog.c,v 1.2 2000/01/13 15:02:13 cpbotha Exp $
 */

#include <stdio.h>
#include <unistd.h>
#include <sys/io.h>

int main (void) {
   /* enable us to write to port 0xf2 */
   if (ioperm(0xf2, 1, 1)!=0 || ioperm(0x70, 2, 1)) {
      printf("couldn't get permissions for port 0xf2, 0x70 or 0x71\n");
      return 1;
   }
   
   /* initialize SQW of RTC */
   outb(0xa, 0x70);
   outb(0x2f, 0x71);
   outb(0xb, 0x70);
   outb(0xa, 0x71);
   
   /* clear the WDT timer port */
   inb(0xf2);
   /* xxx01011 == 8 seconds, xxx01000 == 64 seconds */
   outb(8,0xf2);
   /* clear it once again */
   inb(0xf2);
   
   while (1) {
      /* clear watchdog */
      inb(0xf2);
      /* wait for 4 seconds */
      sleep(4);
   }
}
